


USERLIST (c) 1991 Stan M. Edmister                                     page 1
-----------------------------------------------------------------------------
                                                          Post Office Box 434
                                                          Eldorado, IL  62930
             Version 1.3                                         USA

             July 7, 1991                                 618-273-5093  VOICE




USERLIST is a program written for Executive Host (c) to list your registered
users in both ASCII and ANSI bulletins.

USERLIST is a copyrighted program, but it may be used free of charge.

However, USERLIST may not be sold or otherwise commercially distributed
(except by John Wright, of Marion, IL).  Likewise, without written permission
from me, it must remain in its original form, and cannot be duplicated and
sold or otherwise commercially distributed in an altered state, including,
but not limited to, distributed under a different name or crediting another
person as its author.

The author expresses no warranty (especially since ya' didn't pay for it!)
and cannot guarantee the results once executed.


-----------------------------------------------------------------------------


  FILES
  =====


The following files are included in the USERLIST package:

          729 bytes, USERHDR.       Sample ASCII header file (see below)
          939 bytes, USERHDRG.      Sample ANSI  header file (see below)
        6,647 bytes, USERLIST.MAN   This manual
     * 21,681 bytes, USERLIST.EXE   USERLIST Program

            The program creates 2 files, USERBUL.   (the ASCII bulletin)
                                     and USERBULG.  (the ANSI bulletin)

   (If the files in your package have DIFFERENT lengths than these, it might
    mean that they have been infected by a VIRUS.  DO NOT use them!
    DELETE them immediately and contact the SySop of the board where you
    downloaded them.  I will be glad to mail anybody a copy of USERLIST.)


-----------------------------------------------------------------------------


The output of USERLIST is sorted by NAME or DATE (of initial registration),
and can be forced to be in ALL-CAPS.

The ASCII bulletin file is named   USERBUL.
The ANSI  bulletin file is named   USERBULG.

Copy both files to your Executive Host program directory (where TELIX is) and
make an entry in BULLETIN.DAT just like you would for any other bulletin!





USERLIST (c) 1991 Stan M. Edmister                                     page 2
-----------------------------------------------------------------------------


  SWITCHES
  ========


The syntax for USERLIST is:


               USERLIST {/switches}              ; switches are optional


The available switches are:

               /U  -  Make the bulletins in uppercase only
               /N  -  Sort the output by name (default)
               /D  -  Sort the output by date (of initial registration)
               /C  -  List the output on screen too (still creates files)
               /S  -  Use the built-in standard headers
         /H or /?  -  Help screen

                  Any other switches will be ignored.

         -----------------------------------------------------

For example, to get your bulletins in uppercase-only, sorted by date, and
to be able to watch it build, enter:

                              USERLIST /UDC

To use the standard header (see below, under "HEADERS") and sorted by name:

                              USERLIST /NS


You may consider executing USERLIST in EVENT.BAT, to rebuild your user list
each day.


-----------------------------------------------------------------------------


  HEADERS
  =======


Built into USERLIST is the ability for you to specialize your member lists.
Included in this package are two sample header files (one for ASCII and the
other for ANSII, named  USERHDR.   and  USERHDRG.   , respectively.)

Also built into USERLIST is the ability to produce a standard header.

    *  A header is the output displayed first, before the user list.

If you want to make your own ASCII header, use any editor.

To make an ANSI header, you will probably have to use a special ANSI editor
(such as TheDraw).
                     (  c o n t i n u e d  )




USERLIST (c) 1991 Stan M. Edmister                                     page 3
-----------------------------------------------------------------------------


If you want to use the built-in header files, either specify the /S switch
or simply delete both USERHDR.   and USERHDRG.   files.


(I suggest you simply type USERLIST the first time, then when you look at
the bulletins created (USERBUL & USERBULG, remember?) -- you'll know  what
a "header" is.)

     (Note:  You can make your header files any length you want (depending
             on how long you want that poor guy running at 300 to wait!)
             but you really should keep them less than 79 characters wide.)


-----------------------------------------------------------------------------


  VERSION HISTORY
  ===============

  Version 1.0  -  Released February 19, 1991.

  Version 1.1  -  Released February 20, 1991.  OOOPPS - made a typo in my
                  quick-sort!

  Version 1.2  -  Released February 23, 1991.  Changed internal structure
                  so that the number of guests is only limited by your
                  free RAM.

  Version 1.3  -  Released July 7, 1991.  Fixed error that botched up long
                  names.

-----------------------------------------------------------------------------


  WHY??
  =====

The reason I wrote USERLIST is mainly to aquaint myself better with C.

I've been programming in COBOL for several years (on a IBM S/34 mini) and
enjoy the structured data types, but I yearned for just a little more
flexibility.

For some reason or another, I never liked PASCAL that much (it was like
having that GET-OUT-OF-MY-WAY-POWER and finding out otherwise), and
just when I thought I had ASSEMBLY down, I started finding out how much
I took for granted those simple little things built into COBOL.

Therefore, C was an obvious choice.


If you'd like to change anything -- just let me know!

(The way I see it, the more I have to re-program, the exponentially more I
learn)

Don't want money.  Got money.  Want ideals.

So drop me a note -- let me know what you think.


                                      Stan M. Edmister
